OpenShot Audio Library | OpenShotAudio: juce::ToVarOptions Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ToVarOptions Class Reference

`#include <juce_JSONSerialisation.h>`

## Public Member Functions
ToVarOptions | withExplicitVersion (std::optional< int > x) const
ToVarOptions | withVersionIncluded (bool x) const
auto | getExplicitVersion () const
auto | getVersionIncluded () const

## Detailed Description

Options that control conversion from arbitrary types to juce::var.

See also
  ToVar

Definition at line 33 of file juce_JSONSerialisation.h.

## Member Function Documentation

## ◆ getExplicitVersion()

auto juce::ToVarOptions::getExplicitVersion | ( |  | ) | const
| inlinenodiscard

See also
  withExplicitVersion()

Definition at line 51 of file juce_JSONSerialisation.h.

## ◆ getVersionIncluded()

auto juce::ToVarOptions::getVersionIncluded | ( |  | ) | const
| inlinenodiscard

See also
  withVersionIncluded().

Definition at line 54 of file juce_JSONSerialisation.h.

## ◆ withExplicitVersion()

ToVarOptions juce::ToVarOptions::withExplicitVersion | ( | std::optional< int > | x | ) | const
| inlinenodiscard

By default, conversion will serialise the type using the marshallingVersion defined for that type. Setting an explicit version allows the type to be serialised as an earlier version.

Definition at line 40 of file juce_JSONSerialisation.h.

## ◆ withVersionIncluded()

ToVarOptions juce::ToVarOptions::withVersionIncluded | ( | bool | x | ) | const
| inlinenodiscard

By default, conversion will include version information for any type with a non-null marshallingVersion. Setting versionIncluded to false will cause the version info to be omitted, which is useful in situations where the version information is not needed (e.g. when presenting transient information to the user, rather than writing data to disk that must be deserialised in the future).

Definition at line 48 of file juce_JSONSerialisation.h.

The documentation for this class was generated from the following file:

- juce_JSONSerialisation.h